﻿/* Reset y Estilos Base */
@font-face {
  font-family: roboto; /* Unificado nombre de font-family */
  src: url("../fonts/HelveticaCd.eot");
  src: local("☺"), url("../fonts/HelveticaCd.woff") format("woff"),
    url("../fonts/HelveticaCd.ttf") format("truetype"),
    url("../fonts/HelveticaCd.svg") format("svg");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Conv_HelveticaRoundedLTStd-Bd_1";
  src: url("../fonts/HelveticaRoundedLTStd-Bd_1.eot");
  src: local("☺"),
    url("../fonts/HelveticaRoundedLTStd-Bd_1.woff") format("woff"),
    url("../fonts/HelveticaRoundedLTStd-Bd_1.ttf") format("truetype"),
    url("../fonts/HelveticaRoundedLTStd-Bd_1.svg") format("svg");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Conv_HelveticaCdThn";
  src: url("../fonts/HelveticaCdThn.eot");
  src: local("☺"), url("../fonts/HelveticaCdThn.woff") format("woff"),
    url("../fonts/HelveticaCdThn.ttf") format("truetype"),
    url("../fonts/HelveticaCdThn.svg") format("svg");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: roboto; /* Unificado nombre de font-family */
  src: url("../fonts/DKKaikoura.eot");
  src: local("☺"), url("../fonts/DKKaikoura.woff") format("woff"),
    url("../fonts/DKKaikoura.ttf") format("truetype"),
    url("../fonts/DKKaikoura.svg") format("svg");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: roboto-bold; /* Nombre diferente para la variante bold */
  font-weight: 800;
  src: url("../fonts/DKKaikoura.eot");
  src: local("☺"), url("../fonts/ATRotisSemiSerif-Bold.woff") format("woff"),
    url("../fonts/ATRotisSemiSerif-Bold.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: BalooChettan2-Bold;
  src: url("../fonts/BalooChettan2-Bold.tff");
}

@font-face {
  font-family: BalooChettan2-ExtraBold;
  src: url("../fonts/BalooChettan2-ExtraBold.tff");
}

@font-face {
  font-family: BalooChettan2-Medium;
  src: url("../fonts/BalooChettan2-Medium.tff");
}

@font-face {
  font-family: BalooChettan2-Regular;
  src: url("../fonts/BalooChettan2-Regular.tff");
}

@font-face {
  font-family: BalooChettan2-SemiBold;
  src: url("../fonts/BalooChettan2-SemiBold.tff");
}

@font-face {
  font-family: roboto-700; /* Nombre diferente para la variante 700 */
  src: url("https://use.typekit.net/af/949f99/00000000000000003b9b3068/27/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n7&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/949f99/00000000000000003b9b3068/27/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n7&v=3")
      format("woff"),
    url("https://use.typekit.net/af/949f99/00000000000000003b9b3068/27/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n7&v=3")
      format("opentype");
  font-display: auto;
  font-style: normal;
  font-weight: 700;
}

@font-face {
  font-family: "Proxima-Nova-Bold-Italic";
  src: url("https://use.typekit.net/af/4c4052/00000000000000003b9b3069/27/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=i7&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/4c4052/00000000000000003b9b3069/27/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=i7&v=3")
      format("woff"),
    url("https://use.typekit.net/af/4c4052/00000000000000003b9b3069/27/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=i7&v=3")
      format("opentype");
  font-display: auto;
  font-style: italic;
  font-weight: 700;
}

@font-face {
  font-family: "Roboto";
  src: url("https://use.typekit.net/af/705e94/00000000000000003b9b3062/27/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/705e94/00000000000000003b9b3062/27/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3")
      format("woff"),
    url("https://use.typekit.net/af/705e94/00000000000000003b9b3062/27/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd65b3bbc383831fe2ea177f62257a9191&fvd=n4&v=3")
      format("opentype");
  font-display: auto;
  font-style: normal;
  font-weight: 400;
}

@font-face {
  font-family: "Proxima-Nova-Italic";
  src: url("https://use.typekit.net/af/5c70f2/00000000000000003b9b3063/27/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=i4&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/5c70f2/00000000000000003b9b3063/27/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=i4&v=3")
      format("woff"),
    url("https://use.typekit.net/af/5c70f2/00000000000000003b9b3063/27/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=i4&v=3")
      format("opentype");
  font-display: auto;
  font-style: italic;
  font-weight: 400;
}

@font-face {
  font-family: "Proxima-Nova-Light";
  src: url("https://use.typekit.net/af/cebe0e/00000000000000003b9b3060/27/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n3&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/cebe0e/00000000000000003b9b3060/27/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n3&v=3")
      format("woff"),
    url("https://use.typekit.net/af/cebe0e/00000000000000003b9b3060/27/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n3&v=3")
      format("opentype");
  font-display: auto;
  font-style: normal;
  font-weight: 300;
}

@import url("https://fonts.googleapis.com/css2?family=Baloo+Chettan+2:wght@400;500;600;700;800&display=swap");

.tk-proxima-nova {
  font-family: "proxima-nova", sans-serif;
}

html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
samp,
small,
strong,
sub,
sup,
var,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent;
  box-sizing: border-box; /* Añadido box-sizing: border-box; al reset */
}

body {
  padding-top: 107px; /* Ajustado para el header, se modificará con media queries */
  font-family: "Baloo Chettan 2", sans-serif !important; /* Fuente principal */
  min-width: 320px; /* Añadido min-width para evitar que el body se contraiga demasiado */
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

nav ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

a {
  margin: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent;
}

a:hover,
a:focus {
  outline: none;
  text-decoration: none;
  transition: all 0.5s ease;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
}

ins {
  background-color: #ff9;
  color: #000;
  text-decoration: none;
}

mark {
  background-color: #ff9;
  color: #000;
  font-style: italic;
  font-weight: bold;
}

del {
  text-decoration: line-through;
}

abbr[title],
dfn[title] {
  border-bottom: 1px dotted;
  cursor: help;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 2px solid #003080;
  margin: 10px 0px 0px 0px;
  padding: 0;
  width: 89.5%;
  position: relative;
  left: 16px;
}

input,
select {
  vertical-align: middle;
}

input:focus,
button:focus {
  outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.mouse-hover:hover {
  cursor: pointer;
}

.disabled {
  /* pointer-events: none; */
  opacity: 0.6;
}

.interiores-tabcover-max-width {
  width: 100%;
}

ngx-spinner .loading-text {
  text-align: center !important;
  top: 64% !important;
  position: fixed !important; /* Asegura que el spinner esté posicionado correctamente */
  left: 50%;
  transform: translateX(-50%);
}

ngx-spinner .black-overlay,
ngx-spinner .loading-text {
  position: fixed !important;
}

.interiores-wrap {
  background-color: #f1f1f1;
  padding: 20px 0 30px; /* Ajuste de padding */
  float: left;
  width: 100%;
  background-size: cover; /* Para que la imagen cubra todo el espacio */
  background-repeat: no-repeat;
  min-height: 500px; /* Mínimo adaptable para dispositivos más pequeños */
}

h1 {
  color: #ffcd00;
  font-weight: 700;
  font-size: 24px; /* Tamaño de fuente adaptable */
  line-height: 1.2; /* Mejora la legibilidad en varias resoluciones */
  margin-bottom: 15px; /* Añadido margen inferior para separar del siguiente elemento */
}

h2 {
  color: #003080;
  font-size: 20px; /* Tamaño de fuente adaptable */
  line-height: 1.2;
  margin-bottom: 10px; /* Añadido margen inferior */
}

h3 {
  color: #656565;
  font-size: 18px; /* Tamaño de fuente adaptable */
  line-height: 1.2;
  margin: auto;
  margin-bottom: 10px; /* Añadido margen inferior */
}

.form-group > label {
  color: #808080;
  font-size: 16px; /* Tamaño de fuente adaptable */
  font-weight: normal;
  margin: 0 0 8px;
  display: block; /* Asegura que la etiqueta se comporte como bloque */
}

.form-control {
  background: #f1f1f1 none repeat scroll 0 0;
  box-shadow: none;
  color: #000000;
  line-height: 1.6;
  font-size: 14px; /* Tamaño de fuente adaptable */
  margin: 3px 0px;
  width: 100%;
  padding: 8px 10px;
  border-radius: 8px;
  box-sizing: border-box; /* Asegura que el padding no afecte el ancho */
  height: auto; /* Permite que el input se ajuste al contenido */
  display: block; /* Asegura que el input se comporte como bloque */
}

.modal-content {
  border: 0px;
}

.register .form-control {
  font-size: 15px;
  height: 32px;
  margin-top: 15px;
  font-family: "Helvetica";
  margin-bottom: 10px;
}

.validator-btn {
  background: #003080;
  border: none;
  border-radius: 8px;
  color: #ffffff;
  font-size: 16px; /* Tamaño de fuente adaptable */
  padding: 8px 20px; /* Ajuste de padding */
  display: inline-block;
  transition: background-color 0.3s ease;
}

.pop-wrapper {
  height: 100vh !important;
}

.validator-btn:hover {
  background: #002060;
}

.tambien-podes {
  text-align: center;
  padding: 15px; /* Ajuste de padding */
  color: #777777;
  font-weight: 500;
  font-size: 18px; /* Tamaño de fuente adaptable */
  margin: 0;
}

.d-flex {
  display: flex;
}

.d-flex-jc-center {
  display: flex;
  justify-content: center;
  width: 100%;
}

.d-flex-center-center,
.d-flex-center-center-column {
  display: flex;
  justify-content: center;
  align-items: center;
}

.d-flex-center-center-column {
  flex-direction: column;
}

.same-items-flex {
  flex: 1 1 0px;
}

.twitter-login:hover,
.facebook-login:hover {
  opacity: 0.8;
}

.twitter-login,
.facebook-login {
  z-index: 9999;
}

.btn1 {
  background: #003080;
  border: none;
  border-radius: 8px;
  color: #ffffff;
  font-size: 18px;
  padding: 10px 25px;
  display: inline-block;
  font-weight: 600;
  transition: background-color 0.3s ease;
}

.btn1:hover {
  background: #ffcd00;
  cursor: pointer;
  color: #003080;
}

button,
input,
select,
textarea {
  font-family: "Baloo Chettan 2", sans-serif !important; /* Asegura la consistencia de la fuente */
}

.interiore-tab h1.title {
  font-size: 32px;
  margin: 0 0 10px; /* Reducción de margen */
  color: #003080;
  font-weight: 100;
  text-align: center;
  margin-bottom: 20px; /* Añadido margen inferior */
}

.bgfull {
  float: left;
  width: 100%;
  border-radius: 15px; /* Ajuste de border-radius */
}

.width-interiore {
  min-height: 35vh; /* Reducción de altura mínima */
}

.contact-formbox .row {
  padding: 0 5%; /* Padding adaptable */
}

.contact-formbox .form-group > label {
  margin: 0 0 10px; /* Ajuste de margen */
}

.btncontrol-cover {
  display: inline-grid;
  width: 80%;
}

.modal-backdrop.in {
  background: #eaeaea;
  opacity: 0.7;
}

.modal-open {
  overflow: overlay;
}

.canculation-btn {
  border: medium none;
  font-size: 20px; /* Tamaño de fuente adaptable */
  padding: 8px 18px; /* Ajuste de padding */
  text-align: center;
  display: inline-block;
  background: #003080;
  border: none;
  color: #ffffff;
  border-radius: 10px;
  font-weight: 500;
  transition: background-color 0.3s ease;
}

.canculation-btn:hover {
  color: #ffcd00;
}

.request-heading > h1 {
  color: #656565;
  font-size: 28px;
  margin: 0 0 20px;
  text-align: center;
  font-weight: 500;
}

.request-heading > h2 {
  font-size: 16px;
  text-align: center;
  color: #545456;
}

.modal-box {
  background: #ffffff none repeat scroll 0 0;
  border-radius: 0px;
  margin: 0 auto;
  padding: 15px; /* Ajuste de padding */
  text-align: center;
  height: 100vh;
  min-height: 300px; /* Ajuste de min-height */
  box-sizing: border-box; /* Para que el padding no altere las dimensiones */
}

.full-width {
  width: 100% !important;
}

.d-flex-column {
  display: flex;
  flex-direction: column;
}

.modal-box form {
  height: 98%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
  justify-content: space-around;
  background: #fff none repeat scroll 0;
  border-radius: 8px; /* Ajuste de border-radius */
  padding: 15px; /* Ajuste de padding */
  box-sizing: border-box; /* Para que el padding no altere las dimensiones */
}

.background-grey {
  background: #eaeaea none repeat scroll 0;
}

.background-white {
  background-color: rgba(255, 255, 255);
  border: 4px #032058 solid;
  border-radius: 30px; /* Ajuste de border-radius */
  padding: 5px 30px; /* Ajuste de padding */
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.cancel-btn {
  background: #3e3e3f none repeat scroll 0 0;
  border: none;
  border-radius: 8px;
  color: #ffffff;
  font-size: 16px;
  padding: 8px 20px;
  display: inline-block;
  font-weight: 500;
  transition: background-color 0.3s ease;
}

.display-flex-center-horizontal {
  display: flex;
  flex-direction: row;
  align-content: center;
  align-items: center;
}

.display-flex-center-horizontal-father {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

a {
  color: #003080;
  text-decoration: none;
}

.modal-body a:hover,
.modal-body a:active,
.msg-home-errors a {
  color: white !important;
}

a:hover,
a:active {
  color: #ffcd00;
  text-decoration: none;
}

button.close {
  padding: 2px 10px;
}

.cancel-btn:hover,
.cancel-btn:focus {
  background: #2e2e2e;
}

.accept-btn:hover {
  color: #fff;
  background: #3493cd;
  cursor: pointer;
}

.accept-btn {
  background: #003080;
  border: none;
  border-radius: 8px;
  color: #ffffff;
  font-size: 16px;
  padding: 8px 20px;
  display: inline-block;
  font-weight: 500;
  transition: background-color 0.3s ease;
}

/* Estilos Angular */

button[disabled],
html input[disabled] {
  pointer-events: none;
  cursor: not-allowed;
  filter: alpha(opacity=65);
  -webkit-box-shadow: none;
  box-shadow: none;
  opacity: 0.65;
}

.has-error .form-control,
.has-error .form-textarea {
  border: 1px solid #fe0100;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: none;
}

.error.has-block,
.success.has-block {
  padding: 3px 5px;
  color: #fe0100;
  margin-bottom: 10px;
}

.success.has-block {
  padding: 3px 5px;
  color: rgb(12, 160, 12);
  margin-bottom: 10px;
}

.fa-eye-slash,
.fa-eye {
  font-size: 18px;
  display: inline-block;
  color: #ffffff;
  vertical-align: middle;
  background: #003080;
  padding: 6px;
  border-radius: 8px;
  cursor: pointer;
  position: absolute;
  right: 0px;
  top: 1px;
}

.loginPopup.pop-wrapper form .form-group,
.registerComponent.container .form-group,
.loginComponent.container .form-group,
.interiores-wrap-contact-us .container .form-group {
  position: relative;
}

.table > thead > tr > th {
  border-bottom: 0px solid #003080;
}

.img-responsive.mobileShow {
  display: none;
}

signature-pad {
  text-align: center;
}

signature-pad canvas {
  border: 2px solid #003080;
}

.recaptcha-checkbox-checkmark {
  cursor: pointer;
}

.kr-embedded.kr-help-button-inner-field .kr-payment-button,
.kr-embedded.kr-help-button-inner-field .kr-form-error {
  width: 100%;
  text-align: center;
}

.glyphicon-chevron-right:before,
.glyphicon-chevron-left:before {
  display: none;
}

.carousel-control.left,
.carousel-control.right {
  background-image: linear-gradient(
    to right,
    rgb(0 0 0 / 0%) 0,
    rgb(0 0 0 / 0%) 100%
  );
}

.border-radius-yellow {
  border-radius: 0 15px 15px 0;
}

.border-radius-blue {
  border-radius: 15px 0 0 15px;
}

.btn-amarillo {
  background-color: #ffcd00;
  color: #003080;
  border: none;
}

.btn-azul {
  background-color: #003080;
  color: #ffcd00;
  border: none;
}

.btn-amarillo:hover {
  background-color: #cda50e !important;
  color: #003080 !important;
  border: none;
}

.btn-azul:hover {
  background-color: #003080 !important;
  color: #cda50e !important;
  border: none;
}

/* Estilos para el botón "Continuar" */
.btn-continuar {
  background: #003080;
  border: none;
  border-radius: 8px;
  color: #ffffff;
  font-size: 18px;
  padding: 10px 25px;
  display: inline-block;
  font-weight: 600;
  transition: background-color 0.3s ease;
}

.btn-continuar:hover {
  background-color: #cda50e; /* Amarillo más oscuro al pasar el mouse */
  color: #001e52; /* Azul más oscuro al pasar el mouse */
}
